(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1840,
	height: 897,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap18.png", id:"Bitmap18"},
		{src:"images/Bitmap19.png", id:"Bitmap19"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap20.png", id:"Bitmap20"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};

// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(951.5,392,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(920,448.5,1910.3,896.8);
p.frameBounds = [rect];


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,360,342);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,423,413);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,510,635);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,374,392);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,372,358);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,171);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,516,284);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,535,494);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,454,445);


(lib.Bitmap18 = function() {
	this.initialize(img.Bitmap18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,381,448);


(lib.Bitmap19 = function() {
	this.initialize(img.Bitmap19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,532,465);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,501,434);


(lib.Bitmap20 = function() {
	this.initialize(img.Bitmap20);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,464,464);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,340,327);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,432,432);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,478,604);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,350,416);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,484,252);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,503,463);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,268,149);


(lib.Symbol3copy = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(-203,-119.8,1.4,1.4);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-203,-119.8,406,239.4);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(-187.6,-104.4,1.4,1.4);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-187.6,-104.4,375.2,208.6);
p.frameBounds = [rect];


(lib.Symbol2copy17 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap18();
	this.instance.setTransform(-206.7,-285.7);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-206.7,-285.7,381,448);
p.frameBounds = [rect];


(lib.Symbol2copy16 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(-190.9,-269.9);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-190.9,-269.9,350,416);
p.frameBounds = [rect];


(lib.Symbol2copy15 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap17();
	this.instance.setTransform(-227,-222.3);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-227,-222.3,454,445);
p.frameBounds = [rect];


(lib.Symbol2copy14 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(-211.2,-206.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-211.2,-206.5,423,413);
p.frameBounds = [rect];


(lib.Symbol2copy13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();
	this.instance.setTransform(-267.4,-284.9);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-267.4,-284.9,535,494);
p.frameBounds = [rect];


(lib.Symbol2copy12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(-251.6,-269.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-251.6,-269.1,503,463);
p.frameBounds = [rect];


(lib.Symbol2copy11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(-185.8,-179.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-185.8,-179.1,372,358);
p.frameBounds = [rect];


(lib.Symbol2copy10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(-170,-163.3);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-170,-163.3,340,327);
p.frameBounds = [rect];


(lib.Symbol2copy9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();
	this.instance.setTransform(-257.9,-141.8);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-257.9,-141.8,516,284);
p.frameBounds = [rect];


(lib.Symbol2copy8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(-242.1,-126);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-242.1,-126,484,252);
p.frameBounds = [rect];


(lib.Symbol2copy7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap19();
	this.instance.setTransform(-266.1,-232.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-266.1,-232.6,532,465);
p.frameBounds = [rect];


(lib.Symbol2copy6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();
	this.instance.setTransform(-250.3,-216.8);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-250.3,-216.8,501,434);
p.frameBounds = [rect];


(lib.Symbol2copy5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(-252,-223.4);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-252,-223.4,510,635);
p.frameBounds = [rect];


(lib.Symbol2copy4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-236.2,-207.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-236.2,-207.6,478,604);
p.frameBounds = [rect];


(lib.Symbol2copy3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(-195.8,187.2,1,1,-90);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-195.8,-186.8,392,374);
p.frameBounds = [rect];


(lib.Symbol2copy2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap20();
	this.instance.setTransform(-231.8,-231.8);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-231.8,-231.8,464,464);
p.frameBounds = [rect];


(lib.Symbol2copy = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-216,-216);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-216,-216,432,432);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap1();
	this.instance.setTransform(-180,-171);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-180,-171,360,342);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '2108',
			title: 'Umieść pierniczki w odpowiednich foremkach.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1','2','3'],
				2: ['4','5','6'],
				3: ['7','8','9']
			},
			groupdrops: {
				1: ['1','2','3'],
				2: ['4','5','6'],
				3: ['7','8','9']
			},
			*/
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/	'4',
				/*drop_5:*/	'5',
				/*drop_6:*/	'6',
				/*drop_7:*/	'7',
				/*drop_8:*/	'8',
				/*drop_9:*/	'9',
				/*drop_10:*/'10',
			],
			range: 20,
			alpha: 1,
			alpha2: 1,
			scale: 0.54,
			rotation: 'auto',
			//size: 'auto',
			//zindex: 0,
			exerciseAfterInit: function () {
			},
			exerciseBeforeFinish: function() {
				
			},
			exerciseExtraCheck: function() {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drop_6 = new lib.Symbol2copy17();
	this.drop_6.setTransform(888,572.2,0.568,0.568);
	this.drop_6.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drag_6 = new lib.Symbol2copy16();
	this.drag_6.setTransform(1313.3,776.4,0.568,0.568);
	this.drag_6.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drop_10 = new lib.Symbol2copy15();
	this.drop_10.setTransform(1177.3,554.4,0.568,0.568);
	this.drop_10.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drag_10 = new lib.Symbol2copy14();
	this.drag_10.setTransform(185.1,344.3,0.568,0.568);
	this.drag_10.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drop_8 = new lib.Symbol2copy13();
	this.drop_8.setTransform(1626.6,732.4,0.568,0.568,15);
	this.drop_8.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drag_8 = new lib.Symbol2copy12();
	this.drag_8.setTransform(360.3,737.2,0.568,0.568);
	this.drag_8.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drop_3 = new lib.Symbol2copy11();
	this.drop_3.setTransform(1039.8,367.5,0.568,0.568,45);
	this.drop_3.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drag_3 = new lib.Symbol2copy10();
	this.drag_3.setTransform(876.1,104.7,0.568,0.568);
	this.drag_3.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drop_7 = new lib.Symbol2copy9();
	this.drop_7.setTransform(1471.4,523.7,0.568,0.568,-15);
	this.drop_7.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drag_7 = new lib.Symbol2copy8();
	this.drag_7.setTransform(821.2,758.4,0.568,0.568);
	this.drag_7.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drop_2 = new lib.Symbol2copy7();
	this.drop_2.setTransform(580.1,580.6,0.568,0.568,-60);
	this.drop_2.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drag_2 = new lib.Symbol2copy6();
	this.drag_2.setTransform(434.8,140.8,0.568,0.568);
	this.drag_2.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drop_9 = new lib.Symbol3copy();
	this.drop_9.setTransform(1354.2,334.9,0.568,0.568);
	this.drop_9.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drag_9 = new lib.Symbol3();
	this.drag_9.setTransform(434.4,367.8,0.567,0.567,-29.9);

	this.drop_5 = new lib.Symbol2copy5();
	this.drop_5.setTransform(691.1,200,0.568,0.568,-15);
	this.drop_5.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drag_5 = new lib.Symbol2copy4();
	this.drag_5.setTransform(1674.8,185.5,0.568,0.568,21.2);
	this.drag_5.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drop_1 = new lib.Symbol2copy3();
	this.drop_1.setTransform(1121.1,175.4,0.568,0.568,90);
	this.drop_1.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drop_4 = new lib.Symbol2copy2();
	this.drop_4.setTransform(122.7,637.5,0.568,0.568);
	this.drop_4.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drag_4 = new lib.Symbol2copy();
	this.drag_4.setTransform(1394,122.7,0.568,0.568);
	this.drag_4.shadow = new cjs.Shadow("#996600",0,0,28);

	this.drag_1 = new lib.Symbol2();
	this.drag_1.setTransform(178.3,159.9,0.568,0.568);
	this.drag_1.shadow = new cjs.Shadow("#996600",0,0,28);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_1},{t:this.drag_4},{t:this.drop_4},{t:this.drop_1},{t:this.drag_5},{t:this.drop_5},{t:this.drag_9},{t:this.drop_9},{t:this.drag_2},{t:this.drop_2},{t:this.drag_7},{t:this.drop_7},{t:this.drag_3},{t:this.drop_3},{t:this.drag_8},{t:this.drop_8},{t:this.drag_10},{t:this.drop_10},{t:this.drag_6},{t:this.drop_6}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(-35,-3,1910.3,896.8);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;